Bug 241558 - Incorrect keyboard layout for Japanese login screen
Incorrect keyboard layout for Japanese login screen
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Vitezslav Crhonek
Depends On:
  Show dependency treegraph
Reported: 2007-05-28 00:04 EDT by Ryan Thompson
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:38:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ryan Thompson 2007-05-28 00:04:24 EDT
Description of problem:

On an installation of Fedora Core 6 with Japanese selected as the installation
locale, Japanese 106-key keyboard, and no other locales installed, the keyboard
layout of the Gnome login screen is apparently US English.  Passwords requiring
non-alphabetic characters cannot be typed correctly.  Keys produce characters
apparently mapping to US English keymap.  After login, keyboard reverts to the
correct Japanese 106-key layout.

Version-Release number of selected component (if applicable):

Found on Fedora Core 6, kernel versions 2.6.18, 19, and 20.  No other versions
have been tested so do not know if the bug is limited to these releases.

How reproducible:

Install Fedora Core 6 on a Japanese PC in Japanese.  Attempt to login through
default GUI login screen.  Not known if this also occurs for the text login
screen as all tested systems boot directly to GUI login.

Steps to Reproduce:
1. Install Fedora Core 6 using Japanese locale and Japanese keyboard.  Do not
install additional locales.
2. Type non-alphabetic characters in the "username" window of the graphical
login screen
3. Typed characters will not match Japanese keymap; rather, they appear to match
US English keymap.
Actual/Expected results:

Typing "-^\@[;:],./" results in "-=X[];'\,./" where "X" is a dead key.

Additional info:

Typing the shifted version of the top row number keys should be:
"!"#$%&'()X" where X is a dead key
Actual result:
Comment 1 Ryan Thompson 2007-05-28 00:05:49 EDT
I say "Appear to match" because I have no US English keyboard to compare with,
but have used US keyboard in the past and the layout seems similar to my memory.
Comment 2 Vitezslav Crhonek 2007-11-28 07:59:37 EST
Try to switch to text mode (e.g. ctrl+alt+f2) and try to log. Does match the
keymap here?
Comment 3 Bug Zapper 2008-04-04 03:18:13 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 15:37:58 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.